## `is_pilfer_constructible`

Metafunction returning `true` if `T` is PilferConstructible

### Synopsis

Defined in header <boost/json/pilfer.hpp>.

    template<
        class T>
    struct is_pilfer_constructible;

### Description

If `T` can be pilfer constructed, this metafunction is equal to `std::true_type`. Otherwise it is equal to `std::false_type`.

### See Also

`pilfer`, `pilfered`, Valueless Variants Considered Harmful

Convenience header <boost/json.hpp>.

Edit this page